General ledger
/general-ledger/opening-balances/accounts-receivable-deferred-revenue
Update opening balance accounts receivable / deferred revenue. Replaces the receivable and deferred revenue opening balance postings as of the go-live date and returns the recalculated summary. Supports dryRun. See https://docs.vrplatform.app/guides/integrate/opening-trial-balance.
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
dryRun?boolean
Validate this request through the real write path, then roll back all changes. See https://docs.vrplatform.app/api/dry-run-mode.
Request Body
application/json
accountsReceivableAmount*integer
Value in cents (100 = 1€)
Range
-9007199254740991 <= value <= 9007199254740991deferredRevenueAmount*integer
Value in cents (100 = 1€)
Range
-9007199254740991 <= value <= 9007199254740991currency?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.vrplatform.app/general-ledger/opening-balances/accounts-receivable-deferred-revenue" \ -H "Content-Type: application/json" \ -d '{ "accountsReceivableAmount": -9007199254740991, "deferredRevenueAmount": -9007199254740991 }'{
"amount": -9007199254740991,
"currency": "string",
"updatedAt": "2024-01-15T12:30:00.000+00:00",
"transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",
"accountsReceivableAmount": -9007199254740991,
"deferredRevenueAmount": -9007199254740991
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}